import request from '@/utils/request'

// 查询列表
export function listStamp(query) {
  return request({
    url: '/bpm/oa-stamp-info/page',
    method: 'get',
    params: query
  })
}

// 获取精简信息列表
export function listSimpleStamps() {
  return request({
    url: '/bpm/oa-stamp-Stamp/list',
    method: 'get'
  })
}

// 查询详细
export function getStamp(StampId) {
  return request({
    url: '/bpm/oa-stamp-info/get?id=' + StampId,
    method: 'get'
  })
}

// 新增
export function addStamp(data) {
  return request({
    url: '/bpm/oa-stamp-info/create',
    method: 'post',
    data: data
  })
}

// 作废
export function invalidStamp(data) {
  return request({
    url: '/bpm/oa-stamp-info/invalid',
    method: 'put',
    data: data
  })
}

// 修改
export function updateStamp(data) {
  return request({
    url: '/bpm/oa-stamp-info/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delStamp(StampId) {
  return request({
    url: '/bpm/oa-stamp-info/delete?id=' + StampId,
    method: 'delete'
  })
}

// 导出
export function exportStamp(query) {
  return request({
    url: '/bpm/oa-stamp-info/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
